> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notebook

> Get a specific notebook by ID



## OpenAPI

````yaml GET /workspaces/{workspace_id}/notebooks/{notebook_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/notebooks/{notebook_id}:
    get:
      tags:
        - notebooks
      summary: Get notebook
      description: Get a specific notebook by ID
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Notebook ID
          name: notebook_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.SpinNotebook'
        '404':
          description: Notebook not found
components:
  schemas:
    models.SpinNotebook:
      description: >-
        A notebook within a workspace.  A notebook contains cells which can be
        executed.
      type: object
      properties:
        content:
          $ref: '#/components/schemas/models.SpinNotebookContent'
        created_time:
          type: string
        description:
          type: string
        name:
          type: string
        notebook_id:
          type: string
        owner_id:
          type: string
        updated_time:
          type: string
    models.SpinNotebookContent:
      description: >-
        The content of a notebook.  JSON representation of a Spin notebook. 
        When a notebook is stored as a file, this is the content of the file.
      type: object
      properties:
        metadata:
          type: object
          additionalProperties: {}
        spin_cells:
          type: array
          items:
            $ref: '#/components/schemas/models.SpinCell'
    models.SpinCell:
      type: object
      properties:
        cell_id:
          type: string
        cxn_name:
          type: string
        desc:
          type: string
        loop_id:
          type: string
        metadata:
          $ref: '#/components/schemas/models.SpinCellMetaData'
        param_map:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/models.SpinCellParam'
        payload:
          type: array
          items:
            type: integer
        tool:
          type: string
    models.SpinCellMetaData:
      type: object
      properties:
        collapsed:
          type: boolean
        display_settings:
          type: object
          additionalProperties: {}
        output_variable_name:
          type: string
        scrolled: {}
        tags:
          type: array
          items:
            type: string
    models.SpinCellParam:
      type: object
      properties:
        choices:
          description: used for dropdowns
          type: array
          items:
            type: string
        description:
          type: string
        label:
          type: string
        placeholder_value:
          description: used as placeholder for the UI, not necessarily a value
          type: string
        required:
          type: boolean
        runner_can_edit:
          description: ignore this when used by connection schemes
          type: boolean
        type:
          $ref: '#/components/schemas/models.SpinCellParamType'
        validation:
          type: string
        value:
          description: >-
            when used in connection schemes and stored books, this is the
            default value
          type: string
    models.SpinCellParamType:
      type: string
      enum:
        - string
        - secret
        - number
        - bool
        - time
      x-enum-varnames:
        - CELLPARAMTYPE_STRING
        - CELLPARAMTYPE_SECRET
        - CELLPARAMTYPE_NUMBER
        - CELLPARAMTYPE_BOOL
        - CELLPARAMTYPE_EPOCHTIME
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````